View Issue Details

IDProjectCategoryView StatusLast Update
0000963FreeCADBugpublic2017-03-27 08:31
ReporterjrheinlaenderAssigned Toyorik 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000963: Polar array does not work as described/expected
Description1. Creating a polar array of e.g. 10 copies in 180 degrees actually shows 11 shapes (original + 10 more)

2. Creating a polar array of e.g. 20 copies in 360 degrees creates 21 shapes, where the last overlaps the original. This creates problems when trying to fuse the array with a solid overlapping all 21 shapes
Additional InformationDraft.py polarArray(objectslist,center,angle,num) needs to be fixed:

1. fraction = angle/ (num - 1)

2. fraction = angle/num

1+2: for i in range(num - 1)
TagsNo tags attached.

Activities

yorik

2013-01-20 14:57

administrator   ~0002860

Ok, I'll have a look at it, thanks for bringing the solution!

yorik

2013-01-23 17:32

administrator   ~0002870

Fixed in d41b40e

Issue History

Date Modified Username Field Change
2013-01-20 06:58 jrheinlaender New Issue
2013-01-20 07:02 jrheinlaender Status new => assigned
2013-01-20 07:02 jrheinlaender Assigned To => yorik
2013-01-20 14:57 yorik Note Added: 0002860
2013-01-23 17:32 yorik Note Added: 0002870
2013-01-23 17:32 yorik Status assigned => closed
2013-01-23 17:32 yorik Resolution open => fixed
2013-01-23 17:32 yorik Fixed in Version => 0.13
2017-03-27 08:31 Kunda1 Changeset attached => FreeCAD releases d41b40ee